<!DOCTYPE html>
<html>
<head>
	<title>Encuesta</title>
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
	<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
</head>
<body>
	<div class="container">
		<div class="row justify-content-md-center" style="padding-top: 30px;">
			<div class="col-md-11" style="border: 1px solid #E4E4E4; border-radius: 4px; padding: 10px;">
				<h3 id="txt-titulo"></h3>
				<h4 id="txt-sub-categoria"></h4>
				<button id="gen_respuestas" class="btn btn-block btn-danger">Generar Respuestas</button>
				<hr/>
				<div id="contenedor-preguntas"></div>
				
			</div>
		</div>
	</div>
</body>
	<script src="https://code.jquery.com/jquery-3.4.1.js" integrity="sha256-WpOohJOqMqqyKL9FccASB9O0KwACQJpFTUBLTYOVvVU=" crossorigin="anonymous"></script>
	<script>
		$(document).ready(() => {
			var dato = {}
			var saltos_globales_activos = {}
			var formulario = '<?php echo $formulario ?>'
			var categoria = '<?php echo $categoria ?>'
			var sub_categoria = '<?php echo $sub_categoria ?>'
			var datos_respuestas = {}
			var filtros = []

			$('#gen_respuestas').click(() => {
				generarRespuestas(true)
			})

			$(document).on('click', '.pregunta-extendida-btn-borrar', e => {
				let id = e.target.id.split('-')
				$(`#pregunta-extendida-${id[3]}-${id[4]}`).remove()
			})

			$(document).on('keyup', '.entrada-extendida', e => {
				aplicarFiltros()
				let id = e.target.id.split('_')
				let siguiente = parseInt(id[3]) + 1

				console.log('id:', id)

				console.log()
				
				if(id[4] == 'matriz'){
					let _p = dato.sub_categoria.preguntas.filter(p => {return p.id == id[2]})
					
					let _l = id[2].split('-')
					if(_l.length == 2){
						let _sub_pregunta = dato.sub_categoria.preguntas.filter(p => {return p.id == _l[0]})
						_sub_pregunta[0]['respuestas'].forEach(_sp => {
							console.log(_sp)
						})
						console.log('pregunta:', _l[0])
					}

					if(_p.length == 1){
						if($(`#entrada_extendida_${id[2]}_${siguiente}_matriz`).length == 0){
							let _t = `<tr id="pregunta-extendida-${id[2]}-${siguiente}">`
							_t += `<td>
								<div class="input-group mb-3">
									<input id="entrada_extendida_${id[2]}_${siguiente}_matriz" type="text" class="form-control entrada-extendida entrada-extendida-${id[2]}" placeholder="">
									<div class="input-group-append">
								    	<button class="btn btn-outline-danger pregunta-extendida-btn-borrar" id="pregunta-extendida-borrar-${id[2]}-${siguiente}" type="button">X</button>
								  	</div>
								</div>
							</td>`

							for(let i = 0; i < _p[0].preguntas_matriz[0].respuestas.length; i++){
								console.log(`i: ${i}: r-${id[2]}-${siguiente}-${i}`)
								_t += `<td><input class="" type="radio" name="r-${id[2]}-${siguiente}-ext" value="r-${id[2]}-${siguiente}-${i}"></td>`
							}
							_t += '<tr>'
							$(`#tabla-${id[2]}`).append(_t)
						}					
					}
				}

				if(id[4] == 'multiple'){
					if($(`#entrada_extendida_${id[2]}_${siguiente}_multiple`).length == 0){
						$(`#tabla-${id[2]}`).append(`
							<tr class="extendida-${id[2]}" id="pregunta-extendida-${id[2]}-${siguiente}">
								<td></td>
								<td>
									<div class="input-group mb-3">
									  <input type="text" class="form-control entrada-extendida entrada-extendida-${id[2]}" id="entrada_extendida_${id[2]}_${siguiente}_multiple" placeholder="">
									  <div class="input-group-append">
									    <button class="btn btn-outline-danger pregunta-extendida-btn-borrar" id="pregunta-extendida-borrar-${id[2]}-${siguiente}" type="button">X</button>
									  </div>
									</div>
								</td>
							</tr>`)
					}
				}
			})

			//sub_pregunta_0
			$(document).on('click', '.form-check-input', (e) => {
				aplicarFiltros()
				id = e.target.id.split('_')
				let respuesta = id[1]
				var pregunta = id[2]

				console.log('ajlksjdklasjdlksajkldsajkldjaskl')
				
				let dato_pregunta = dato.sub_categoria.preguntas[pregunta]
				let dato_respuesta = dato_pregunta.respuestas[respuesta]

				// Verificar
				$('#sub_pregunta_' + pregunta).hide();
				$('.pregunta-detalle-' + dato_pregunta.id).hide();

				if(typeof dato_respuesta.extendida != 'undefined' && dato_respuesta.extendida){
					//entrada-extendida-p1-3


					if(dato_pregunta.tipo === "seleccion-multiple"){
						if($(`#${e.target.id}`).is(":checked")) $(`.extendida-${dato_pregunta.id}`).fadeIn();
						else $(`.extendida-${dato_pregunta.id}`).hide();
					} else {
						
					}
					
					$(`#extendida_${dato_pregunta.id}`).fadeIn()
					let _len = $(`#tabla-${dato_pregunta.id}`).children().length - 1					
				}

				if(typeof saltos_globales_activos[dato_pregunta.id] != 'undefined'){
					saltos_globales_activos[dato_pregunta.id].forEach(s => {
						$('#pregunta_p'+s).fadeIn()
					})

					saltos_globales_activos[dato_pregunta.id] = []
				}

				if(typeof dato_respuesta.detalles != 'undefined'){
					$('#detalle-'+dato_respuesta.id).fadeIn()
				}

				if(typeof dato_respuesta.condicion != 'undefined'){
					switch (dato_respuesta.condicion){
						case 'salto':
							let salto_desde = parseInt(dato_pregunta.id.replace('p', ''))
							salto_desde++
							let salto_hasta = dato_respuesta.salto_a.replace('p', '')

							if(salto_desde > salto_hasta){
								alert('Error en esquema salto')
							} else {

								saltos_globales_activos[dato_pregunta.id] = []
								
								for(let i = salto_desde; i < salto_hasta; i++){
									saltos_globales_activos[dato_pregunta.id].push(i)
									$('#pregunta_p'+i).hide();
								}
							}
							break;
						case 'pregunta':

							$('#sub_pregunta_' + pregunta).empty();
							$('#sub_pregunta_' + pregunta).fadeIn();
							dato_respuesta.condicion_detalle.forEach(_p => {
								$('#sub_pregunta_' + pregunta).append(generarPregunta(_p, _p.id, true));
							})							
							
							break;
					}
				}
			})

			function aplicarFiltros()
			{
				let _p = dato
				generarRespuestas()
				
			}

			function generarRespuestas(imprimir = false)
			{
				var respuestas_cuestionario = {}
				dato.sub_categoria.preguntas.forEach(pregunta => {
					switch(pregunta.tipo){
						case 'seleccion-multiple':
							let selected = [];
							$(`input[name=${pregunta.id}]:checked`).each(function() {
							    selected.push($(this).attr('value'));
							})

							respuestas_cuestionario[pregunta.id] = {}
							if(typeof respuestas_cuestionario[pregunta.id]["respuestas"] == 'undefined')
								respuestas_cuestionario[pregunta.id]["respuestas"] = []

							selected.forEach(_respuesta => {
								let respuesta = pregunta.respuestas.filter(r => {return r.id == _respuesta})
								
								if(respuesta.length == 1){
									let _o = {
										id: respuesta[0].id,
										glosa: respuesta[0].r,
										puntaje: respuesta[0].puntaje
									}

									if(typeof respuesta[0].extendida != 'undefined' && respuesta[0].extendida)
									{
										respuestas_cuestionario[pregunta.id]["extendidas"] = []
										let _cant = pregunta.respuestas.length
										$(`.entrada-extendida-${pregunta.id}`).each(function() {
											let _va = $(this).val()
											if(typeof _va != 'undefined'){
												_va = _va.trim()
												if(_va != '') {
													respuestas_cuestionario[pregunta.id]["extendidas"].push({
														id: `r-${pregunta.id}-${_cant}`,
														glosa: _va,
														puntaje: respuesta[0].puntaje
													})
													_cant++
												}
											}
										})
									}

									respuestas_cuestionario[pregunta.id]["respuestas"].push(_o)
									
								}
							})
							break;
						case 'seleccion':
							respuestas_cuestionario[pregunta.id] = {}
							let _va = $(`input[name=${pregunta.id}]:checked`).val()
							if(typeof _va != 'undefined') {
								let respuesta = pregunta.respuestas.filter(r => {return r.id == _va})
								if(respuesta.length == 1){
									respuestas_cuestionario[pregunta.id]["respuesta"] = {
										id: _va,
										glosa: respuesta[0].r,
										puntaje: respuesta[0].puntaje
									}
								}
							}
							break;
						case 'seleccion-numerica':
						case 'seleccion-texto':
							respuestas_cuestionario[pregunta.id] = {}
							respuestas_cuestionario[pregunta.id]["respuestas"] = []
							pregunta.respuestas.forEach(respuesta => {
								let _va = $(`input[name=${respuesta.id}]`).val()
								if(typeof _va != 'undefined'){
									_va = _va.trim()
									if(_va != ''){
										respuestas_cuestionario[pregunta.id]["respuestas"].push({
											id: respuesta.id,
											glosa: respuesta.r,
											valor: _va,
											puntaje: respuesta.puntaje
										})
									}
								}
							})
							break;
						case 'matriz':
							respuestas_cuestionario[pregunta.id] = {}
							respuestas_cuestionario[pregunta.id]["respuestas"] = []
							pregunta.preguntas_matriz.forEach(pregunta_matriz => {

								if(typeof pregunta_matriz.extendida != 'undefined' && pregunta_matriz.extendida){
									respuestas_cuestionario[pregunta.id]["extendidas"] = []
									$(`.entrada-extendida-${pregunta.id}`).each(function(){
										let _glosa = $(this).val()

										if(typeof _glosa != 'undefined'){
											_glosa = _glosa.trim()
											if(_glosa != ''){
												let id = $(this).attr('id').split('_')
												let _val = $(`input[name='r-${pregunta.id}-${id[3]}-ext']:checked`).val()
												if(typeof _val != 'undefined'){
													
													respuestas_cuestionario[pregunta.id]["extendidas"].push({
														id: 's'
													})
												}
											}
										}
									})
								}

								let _va = $(`input[name=${pregunta_matriz.id}]:checked`).val()
								if(typeof _va != 'undefined'){
									let _pre = pregunta_matriz.respuestas.filter(_p => {return _p.id == _va})
									
									if(_pre.length == 1){
										respuestas_cuestionario[pregunta.id]["respuestas"].push({
											id: _pre[0].id,
											puntaje: _pre[0].valor,
											glosa: _pre[0].r
										})
									}
									
								}
							})
							break;
						default:
							console.log(pregunta.tipo + ' sin implementación')
					}
				})

				datos_respuestas = respuestas_cuestionario

				if(imprimir)
					console.log('[i] respuestas cuestionario: ', respuestas_cuestionario)
			}

			function generarPregunta(pregunta, index, sub_pregunta = false)
			{
				let c = `<div style="padding-bottom: 30px;" id="pregunta_${pregunta.id}"><h5>${pregunta.id.replace("p", "").replace('-', '.')}.- ${pregunta.pregunta} </h5>`
				let tipo_seleccion = 0;

				switch(pregunta.tipo){
					case 'seleccion-texto':
						c += `<table class="table table-bordered" >
							  <tbody style="margin: 20px;">`;
							  	sub_index = 0
							  	pregunta.respuestas.forEach(respuesta => {
							  		c += ` <tr>
									      	<td style="width: 300px;">
										      	<div class="">
												  	<input id="respuesta_${sub_index}_${index}" class="form-control" type="text" name="${respuesta.id}">
												</div>
									    	</td>
									      	<td>${respuesta.r} </td>
									    </tr>`
									sub_index++
									})
							    
						c += `</tbody>
							</table>`
						break;
					case 'seleccion-numerica':
						c += `<table class="table table-bordered" >
							  <tbody style="margin: 20px;">`;
							  	sub_index = 0
							  	pregunta.respuestas.forEach(respuesta => {
							  		c += ` <tr>
									      	<td style="width: 150px;">
										      	<div class="">
												  	<input id="respuesta_${sub_index}_${index}" class="form-control" type="number" name="${respuesta.id}" value="">
												</div>
									    	</td>
									      	<td>${respuesta.r}</td>
									    </tr>`
									sub_index++
									})
							    
						c += `</tbody>
							</table>`
						break;
					case 'seleccion-multiple':
						c += `<table class="table table-bordered" >
							  <tbody style="margin: 20px;" id="tabla-${pregunta.id}">`;
							  	sub_index = 0
							  	pregunta.respuestas.forEach(respuesta => {
							  		c += ` <tr>
									      	<td style="width: 80px; text-align: center;">
										      	<div class="form-check">
												  	<input id="respuesta_${sub_index}_${index}" class="form-check-input" type="checkbox" name="${pregunta.id}" value="${respuesta.id}">
												</div>
									    	</td>
									      	<td>${respuesta.r} </td>
									    </tr>`
									sub_index++
									})

						c += `	<tr class="extendida-${pregunta.id}" style="display: none;" id="pregunta-extendida-${pregunta.id}">
									<td></td>
									<td>
										<div class="input-group mb-3">
										  <input type="text" prop="lalaw" class="form-control entrada-extendida entrada-extendida-${pregunta.id}" id="entrada_extendida_${pregunta.id}_${sub_index}_multiple" placeholder="">
										</div>
									</td>
								</tr>`
							    
						c += `</tbody>
							</table>`
						break;
					case 'seleccion':
						c += `<table class="table table-bordered" >
							  <tbody style="margin: 20px;">`;
							  	sub_index = 0
							  	pregunta.respuestas.forEach(respuesta => {
									let detalles_respuesta = ``

									if(typeof respuesta.detalles != 'undefined') {
										detalles_respuesta = `<div style="display: none;" id="detalle-${respuesta.id}" class="row pregunta-detalle-${pregunta.id}">`
										respuesta.detalles.forEach(d => {
											let _tipo = 'text'
											if(d.tipo == 'opcion-numerica') _tipo = 'number'
											detalles_respuesta += `
											<div class="col-md-4" style="padding-top: 20px;">
												<div class="row no-gutters">
													<div class="col-md-6">${d.label}</div>
													<div class="col-md-6"><input class="form-control" type="${_tipo}"></div>
												</div>
											</div>
											`
										})
										detalles_respuesta += `</div>`
									}
				
							  		c += ` <tr>
									      	<td style="width: 80px; text-align: center;">
										      	<div class="form-check">
												  	<input id="respuesta_${sub_index}_${index}" class="form-check-input" type="radio" name="${pregunta.id}" value="${respuesta.id}">
												  	
												</div>
									    	</td>
									      	<td>${respuesta.r} ${detalles_respuesta} </td>
									    </tr>`
									sub_index++
									})
							    
						c += `</tbody>
							</table>`
						break
					case 'entrada-numerico':
						c += '<input type="number" class="form-control" style="width: 100%;">'
						break;
					case 'entrada-text':
						c += '<input type="text" class="form-control" style="width: 100%;">'
						break;
					case 'matriz':
						c += `
							<table class="table table-bordered">
								<thead>
									<tr>
										<th scope="col"></th>`;											
										pregunta.preguntas_matriz[0].respuestas.forEach(respuestas => {
											c += `<th scope="col" sytle="width: 130px !important;">${respuestas.r}</th>`
										})
						c += `		</tr>
								</thead>
								<tbody id="tabla-${pregunta.id}">`
									sub_index = 0
									pregunta.preguntas_matriz.forEach(_pregunta => {
										c += '<tr>'
										generarRespuestas()

										if(pregunta.filtro && typeof datos_respuestas[pregunta.pregunta_filtro] != 'undefined'){
											//console.log('[i] pregunta:', pregunta)
											//console.log('[i] _pregunta:', _pregunta)
											//console.log('[i] filtro:', datos_respuestas[pregunta.pregunta_filtro])
										} else {
											if(typeof _pregunta.extendida != 'undefined' && _pregunta.extendida){
												console.log('pregunta', pregunta)
												console.log('_pregunta', _pregunta)

												c += `<td><input type="text" class="form-control entrada-extendida entrada-extendida-${pregunta.id}" prop="algo" id="entrada_extendida_${pregunta.id}_${sub_index}_matriz" placeholder="${_pregunta.pregunta} asdasd"></td>`
												let _r = 0
												_pregunta.respuestas.forEach(respuesta => {
													c += `<td><input class="" type="radio" name="${_pregunta.id}-ext" value="r-${pregunta.id}-${sub_index}-${_r}"></td>`
													_r++
												})
											}
											else {
												c += `<td>${_pregunta.pregunta}</td>`;
												_pregunta.respuestas.forEach(respuesta => {
													c += `<td><input class="" type="radio" name="${_pregunta.id}" value="${respuesta.id}"></td>`
												})
											}
										}

										c += '</tr>'
										sub_index++
									})

									let _ext = `<tr class="extendida-${pregunta.id}" style="display: non;" id="extendida_${pregunta.id}">
											<td><input class="form-control" placeholder="Otra" type="text"></td>`
									for(let i = 0; i < pregunta.preguntas_matriz[0].respuestas.length; i++){
										_ext += `<td><input class="from-control" type="radio" name="" value=""></td>`
									}

									_ext += '</tr>'
									// Guardar _ext mientras
									// no agregar a c

						c += `</tbody>
							</table>`

						break;
					default:
						console.log(pregunta.tipo)
						break;
				}

				if(!sub_pregunta){
					c += `<div class="sub_pregunta" id="sub_pregunta_${index}">Contenedor sub pregunta</div>`
				}

				c += '</div>'
				return c
			}

			function cargarCuestionario()
			{
				$('#txt-titulo').text(dato.titulo)
				$('#txt-sub-categoria').text(dato.sub_categoria.titulo)
				$('#contenedor-preguntas').empty()

				index = 0;

				console.log('dato: ', dato)
				dato.sub_categoria.preguntas.forEach(pregunta => {
					//generarRespuestas(true)
					
					$('#contenedor-preguntas').append(generarPregunta(pregunta, index))
					if(typeof pregunta.respuestas != 'undefined'){
						pregunta.respuestas.forEach(_p => {
							if(typeof _p.sub_preguntas_visibles != 'undefined' && _p.sub_preguntas_visibles && _p.condicion == 'pregunta'){
								
								_p.condicion_detalle.forEach(sub_p => {
									$('#contenedor-preguntas').append(generarPregunta(sub_p, sub_p.id, true))
								})
							}
						})
					}

					index++
				})

				$('.sub_pregunta').hide()
			}			
			
			function obtenerCuestionario()
			{
				var settings = {
					async: true,
					crossDomain: true,
					url: `http://dev.binext.cl/cuestionario/get/${formulario}/${categoria}/${sub_categoria}`,
					method: "GET",
					processData: false,
					contentType: false,
					mimeType: "multipart/form-data",
				}
				 
				$.ajax(settings).done(function (response) {
					dato = JSON.parse(response);
					cargarCuestionario()
				});
			}

			obtenerCuestionario()
		})
	</script>
</html>