<!DOCTYPE html>
<html>
<head>
	<title>Usuario</title>
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
	<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
</head>
<body>
	<div class="container">
		<div class="row justify-content-md-center" style="padding-top: 30px;">
			<div class="col-md-11" style="border: 1px solid #E4E4E4; border-radius: 4px; padding: 10px;">
				<h1><?php echo $usuario['nombre'] ?><span style="font-size: 15px;">&nbsp;
					<?php 
						if(isset($usuario['tipo_asociacion'])) {
							echo 'perfil de '.$usuario['tipo_asociacion'];
							echo ' <a href="http://dev.binext.cl/administrar/borrarperfilusuario/'.$usuario_id.'">(Borrar asociación)</a>';
						}

					?></span></h1>
				<h4><?php echo $usuario['correo'] ?></h4>
				<hr/>

				
				<div>
					<?php


						echo '<b>Empresa asociada:</b>';
						if(isset($empresa)){
							echo ' '.$empresa['razon_social'];
						} else {
							echo ' El usuario no tiene empresa asociada';
							echo '<form method="post" action="http://dev.binext.cl/administrar/asociarusuarioconempresa">
								<div class="row">
									<div class="col-md-3">
										<select class="custom-select" name="empresa">';
											foreach ($empresas_posibles as $key => $value) {
												echo '<option value="'.((array)$value['_id'])['oid'].'">'.$value['razon_social'].'</option>';
											}
									echo '</select>
										<label class="">Empresa</label>
									</div>
									<div class="col-md-3">
										
										<select class="custom-select" name="tipo">
											<option value="empleador">Empleador</option>
											<option value="trabajador">Trabajador</option>
										</select>
										<label class="">Tipo</label>
									</div>
									<div class="col-md-2">
										<input style="display: none;" name="usuario" type="text" value="'.$usuario_id.'" readonly="true">
										<button type="submit" class="btn btn-primary">Asignar</button>
									</div>
								</div> </form>';

						}

						echo '<br/><b>Contraparte:</b>';
						if(isset($contraparte)){
							echo ' '.$contraparte['nombre'].' <a href="http://dev.binext.cl/administrar/usuarios/'.((array)$contraparte['_id'])['oid'].'">(Ver perfil)</a>';
						} else echo ' El usuario no tiene contraparte';

						echo '<br/><b>Encuestas:</b>';
						if(isset($usuario['encuestas_asignadas']) && sizeof($usuario['encuestas_asignadas']) > 0){
							echo '<ul >';
							foreach ($usuario['encuestas_asignadas'] as $key => $value) {
								echo '<li>';
								foreach ($encuestas_posibles as $skey => $svalue) {
									$id = ((array)$svalue['_id'])['oid'];
									if($id == $value->id){
										echo $svalue['mes'].'-'.$svalue['fecha'].' '.$svalue['tipo'];
									}
								}
								echo '</li>';
							}
							echo '</ul>';
						} else echo ' El usuario no tiene encuestas asociadas';

						if(isset($usuario['tipo_asociacion'])){
							echo '<form method="post" action="http://dev.binext.cl/administrar/agregarformularioausuario">
								<div class="row">
									<div class="col-md-3">
										<select class="custom-select" name="formulario">';
											foreach ($encuestas_posibles as $key => $value) {
												if($value['objetivo'] == $usuario['tipo_asociacion'])
												echo '<option value="'.((array)$value['_id'])['oid'].'">'.$value['mes'].'-'.$value['fecha'].' '.$value['tipo'].'</option>';
											}
									echo '</select>
										<label class="">Encuesta</label>
									</div>
									<div class="col-md-2">
										<input style="display: none;" name="usuario" type="text" value="'.$usuario_id.'" readonly="true">
										<button type="submit" class="btn btn-primary">Asignar</button>
									</div>
								</div> </form>';
						} else {
							echo '<br/>Para asociar una encuesta, define primero si es trabajador o empleador';
						}

						echo '<br/><b>Usuario habilitado para responder: </b>';
						if(isset($usuario['habilitado_responder']) && $usuario['habilitado_responder']){
							echo 'Sí <a href="http://dev.binext.cl/administrar/habilitarRespuesta/'.$usuario_id.'/no">(Cambiar)</a>';
						} else echo 'No <a href="http://dev.binext.cl/administrar/habilitarRespuesta/'.$usuario_id.'/si">(Cambiar)</a>';

						// echo '<pre>';
						// print_r($contraparte);
						// echo '</pre>';
					?>
				</div>
				
			</div>
		</div>
	</div>
</body>
	<script src="https://code.jquery.com/jquery-3.4.1.js" integrity="sha256-WpOohJOqMqqyKL9FccASB9O0KwACQJpFTUBLTYOVvVU=" crossorigin="anonymous"></script>
	
</html>