<!DOCTYPE html>
<html>
<head>
	<title>Generar Encuesta</title>
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
	<script src="https://code.jquery.com/jquery-3.3.1.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
	
	<link rel="stylesheet" href="https://maxcdn.icons8.com/fonts/line-awesome/1.1/css/line-awesome-font-awesome.min.css">
  	<style type="text/css">
  		body {
  			font-family: 'Arial';
  			font-size: 13px;
  		}
  	</style>
</head>
<body>
	<div class="container-fluid">
		<div class="row" style="margin-top: 50px;">
			<div class="col-md-8">
				<div id="contenedor" style="margin-bottom: 20px;"></div>
				<div class="row">
					<div class="col-md-8">
						<input class="form-control" type="number" placeholder="ID desde donde comenzar" id="inpt_id_inicio">
					</div>
					<div class="col-md-4">
						<button  class="btn btn-primary mb-2 btn-block" id="btn_nueva_pregunta">Nueva pregunta </button>
					</div>
				</div>

				<pre>
					<span id="json_object"></span>
				</pre>
				
				
			</div>
			<div class="col-md-4">

				<div class="card">
					<div class="card-body">
						<h5 class="card-title">Código</h5>
						<p id="json_object_code"></p>
					</div>
				</div>

				<div class="card" style="margin-top: 15px;">
					<div class="card-body">
						<h5 class="card-title">Guardado</h5><br/>
						
						<?php 							
								$oid = ((array)$cuestionario['_id'])['oid'];
								echo '<b><h5 style="">'.$cuestionario['tipo'].' '.$cuestionario['fecha'].'-'.$cuestionario['mes'].'</h5></b><hr/>';
								
								$index = 0;
								foreach ($cuestionario['categoria'] as $skey => $svalue) {

									echo '<p>&nbsp;&nbsp;&nbsp;'.$svalue->titulo.'</p>';
									$sub_index = 0;
									foreach ($svalue->sub_categoria as $sskey => $ssvalue) {
										echo '
											<div class="row no-gutters" style="margin-bottom: 10px;">
												<div class="col-md-1"></div>
												<div class="col-md-1"><input type="radio" class="" name="sub_categoria" value="'.$index.'_'.$sub_index.'_existente_'.$oid.'"></div>
												<div class="col-md-9"><input type="text" class="form-control" id="'.$index.'_'.$sub_index.'_existente_'.$oid.'" value="'.$ssvalue->titulo.'"></div>
											</div>
											';
										$sub_index++;
									}
									echo '
									<div class="row no-gutters">
										<div class="col-md-1"></div>
										<div class="col-md-1"><input type="radio" name="sub_categoria" value="'.$index.'_nuevo_nuevo_'.$oid.'"></div>
										<div class="col-md-9"><input class="form-control form-control-sm" style="width: 100%;" type="text" id="inpt_nuevo_'.$index.'" placeholder="NUEVA SUBCATEGORÍA EN '.$svalue->titulo.'"></div>
									</div><br/>';
									$index++;
								}

								echo '<hr/>';
								echo '
									<div class="row no-gutters">
										<div class="col-md-1"></div>
										<div class="col-md-1" >
											<input type="radio" name="sub_categoria" value="nuevo_nuevo_nuevo_'.$oid.'">
										</div>
										<div class="col-md-9" style="padding-left: 3px;">
											<input type="text" id="nueva_categoria" class="form-control form-control-sm" placeholder="NUEVA CATEGORÍA">
											<input style="margin-top: 5px;" type="text" id="nueva_sub_categoria" class="form-control form-control-sm" placeholder="NUEVA SUBCATEGORÍA">
										</div>
									</div>';
							
						?>

						<button id="btn-guardar-nuevo" class="btn btn-block btn-primary" style="margin-top: 40px;">Guardar</button>

					</div>
				</div>
				
			</div>
		</div>
	</div>
</body>
<script type="text/javascript">
	$(document).ready(() => {
		var json_ob = {}
		var num_inicio = 0
		var auxiliares = {}
		auxiliares.subpreguntas = {}
		var index = -1

		$('#btn-guardar-nuevo').click(e => {
			let valor = $("input[type='radio']:checked").val()
			if(typeof valor != 'undefined'){
				var form = new FormData();
				valor = valor.split('_')
				id_categoria = valor[0]
				id_sub_categoria = valor[1]
				tipo = valor[2]
				oid = valor[3]

				if(id_categoria == 'nuevo'){
					if($('#nueva_categoria').val() != '' && $('#nueva_sub_categoria').val() != '')
					{
						form.append("contenido", $('#json_object_code').text());
						form.append("id_categoria", valor[0])
						form.append("id_sub_categoria", valor[1])
						form.append("tipo", valor[2])
						form.append("categoria", $('#nueva_categoria').val())
						form.append("sub_categoria", $('#nueva_sub_categoria').val())
						 
						var settings = {
							async: true,
							crossDomain: true,
							url: `http://dev.binext.cl/cuestionario/modificar/${oid}`,
							method: "POST",
							processData: false,
							contentType: false,
							mimeType: "multipart/form-data",
							data: form
						}
						 
						$.ajax(settings)
							.done((response) => {
								let o = JSON.parse(response)
								if(o.resultado == 'ok'){
									window.location.replace("http://dev.binext.cl/cuestionario/listar");
									return;
								} else {
									alert("Error al insertar");
								}
							})
							.fail((jqXHR, textStatus) => {
								alert(jqXHR)
							})

					} else {
						alert('Ingresa Categoría y Subcategoría')
					}
				} else {
					if(id_sub_categoria == 'nuevo'){
						let nueva_sub_categoria = $('#inpt_nuevo_' + id_categoria).val()
						if(nueva_sub_categoria != ''){
							form.append("contenido", $('#json_object_code').text());
							form.append("id_categoria", valor[0])
							form.append("tipo", "nueva_categoria")
							form.append("nombre_categoria", nueva_sub_categoria)

							var settings = {
								async: true,
								crossDomain: true,
								url: `http://dev.binext.cl/cuestionario/modificar/${oid}`,
								method: "POST",
								processData: false,
								contentType: false,
								mimeType: "multipart/form-data",
								data: form
							}

							$.ajax(settings)
								.done((response) => {
									let o = JSON.parse(response)
									if(o.resultado == 'ok'){
										window.location.replace("http://dev.binext.cl/cuestionario/listar");
										return;
									} else {
										alert("Error al insertar");
									}
								})
								.fail((jqXHR, textStatus) => {
									alert(jqXHR)
								})

						} else alert('Falta sub categoría')
					} else {
						let v = $("input[type='radio']:checked").val()
						form.append("contenido", $('#json_object_code').text());
						form.append("nombre_sub_categoria", $(`#${v}`).val())
						form.append("indice_categoria", valor[0]);
						form.append("indice_sub_categoria", valor[1]);
						form.append("tipo", "modificar_categoria")
						
						var settings = {
							async: true,
							crossDomain: true,
							url: `http://dev.binext.cl/cuestionario/modificar/${oid}`,
							method: "POST",
							processData: false,
							contentType: false,
							mimeType: "multipart/form-data",
							data: form
						}

						$.ajax(settings)
							.done((response) => {
								let o = JSON.parse(response)
								if(o.resultado == 'ok'){
									window.location.replace("http://dev.binext.cl/cuestionario/listar");
									return;
								} else {
									alert("Error al insertar");
								}
							})
							.fail((jqXHR, textStatus) => {
								alert(jqXHR)
							})
					}
				}

			} else alert('Seleccione una opción')
		})

		$('#btn_nueva_pregunta').click(() => {
			if($('#inpt_id_inicio').val() != ''){
				num_inicio = parseInt($('#inpt_id_inicio').val())
				$('#inpt_id_inicio').val('')
			} else num_inicio++
			index++
			gen()
			genJson()
		})
		
		function gen(){
			let id = 'p'+num_inicio
			$('#'+id).remove()
			$('#contenedor').append(`

					<div style="border: 1px solid #DFDFDF; padding: 5px 20px 20px 20px; border-radius: 3px; margin-bottom: 15px;" id="${id}">
					<p>
					<h5>${id} <button id="agr_subpregunta_${id}" class="btn btn-primary btn-sm agr_subpregunta">Agregar subpregunta</button>
					<button id="rem_pregunta_${id}" class="btn btn-secondary btn-sm rem_pregunta">Remover pregunta</button></h5>
					<select id="slc_tipo_${id}" class="p_slc_tipo form-control">
						<option value="seleccion">Selección</option>
						<option value="seleccion-multiple">Selección múltiple</option>
						<option value="seleccion-numerica">Múltiple numérica</option>
						<option value="seleccion-texto">Múltiple texto</option>
						<option value="matriz">Matriz</option>
						<option value="entrada-numerico">Entrada numérica</option>
						<option value="entrada-text">Entrada texto</option>
					</select> 
					</p> 

					<input type="text" style="width: 100%" class="form-control ipt_titulo_pregunta" id="pregunta_${id}" placeholder="Título pregunta"></div>


					`)
			$(`#${id}`).append(`<div id="sub_contenido_${id}"></div>`)
			cargarSeleccion(id)
			//cargarMatriz(id)
			genJson()
		}

		$(document).on('click', '.agr_subpregunta', function(e){
			let id_padre = e.target.id.split('_')[2]
			if(typeof auxiliares[id_padre] == 'undefined') auxiliares[id_padre] = {}
			if(typeof auxiliares[id_padre].sub_pregunta_index == 'undefined') auxiliares[id_padre].sub_pregunta_index = 0
			auxiliares[id_padre].sub_pregunta_index++
			let id = `${id_padre}-${auxiliares[id_padre].sub_pregunta_index}`
			if(typeof auxiliares.subpreguntas[id_padre] == 'undefined') auxiliares.subpreguntas[id_padre] = []
			auxiliares.subpreguntas[id_padre].push(id)

			$('#'+id).remove()
			$('#contenedor').append(`
					<div style="border: 1px solid #DFDFDF; padding: 5px 20px 20px 20px;
					 border-radius: 3px; margin-bottom: 15px;" id="${id}"><p><h5>${id} 
					 <input type="text" id="${id}_siguiente_natural" class="form-control" placeholder="Siguiente natural"></h5>
					<span style="display: none;" id="${id_padre}_subpregunta">sub_pregunta</span>
					<select id="slc_tipo_${id}" class="p_slc_tipo form-control">
						<option value="seleccion">Selección</option>
						<option value="seleccion-multiple">Selección múltiple</option>
						<option value="seleccion-numerica">Múltiple numérica</option>
						<option value="seleccion-texto">Múltiple texto</option>
						<option value="matriz">Matriz</option>
						<option value="entrada-numerico">Entrada numérica</option>
						<option value="entrada-text">Entrada texto</option>
					</select> 
					
					<!--<button id="agr_subpregunta_${id}" class="agr_subpregunta">Agregar subpregunta</button>
					<button id="rem_pregunta_${id}" class="rem_pregunta">Remover pregunta</button> </b>-->
					</p>

					<input type="text" style="width: 100%" class="ipt_titulo_pregunta form-control" id="pregunta_${id}" placeholder="Título pregunta"></div>`)
			$(`#${id}`).append(`<div id="sub_contenido_${id}"></div>`)
			cargarSeleccion(id, true)
			genJson()
		})

		$(document).on('change', 'select', function(e){
			genJson()
		})

		$(document).on('keyup', 'input', function(e){
			genJson()
		})

		//$(document).on('keyup', '.ipt_titulo_pregunta', function(e){
		//	var keycode = (event.keyCode ? event.keyCode : event.which);
		//	//console.log(keycode)
		//	genJson()
		//})

		$(document).on('click', '.rem_pregunta', function(e){
			let id = e.target.id.split('_')[2]
			$(`#${id}`).remove()

			if(typeof auxiliares.subpreguntas[id] != 'undefined'){
				auxiliares.subpreguntas[id].forEach(sub_id => {
					$(`#${sub_id}`).remove()
				})
				auxiliares.subpreguntas[id] = []
				auxiliares[id].sub_pregunta_index = 0
			}
			genJson()
		})

		$(document).on('change', '.seleccion_tipo_respuesta', function(e){
			id = e.target.id.split('_')[4]

			$(`#tbl_seleccion_respuestas_${id}`).children().each(function(){
				$(this).children().first().html(`<input name="r_${id}" type="${$(`#slc_seleccion_tipo_respuesta_${id}`).val()}" style="width: 97%">`)
			})
			genJson()
		
		})

		function cargarSeleccion(id, es_subpregunta = false){

			let tsubpregunta = ''
			let tclasssubpregunta = 'btn_agregar_fila_seleccion_sb'
			if(!es_subpregunta){
				tclasssubpregunta = 'btn_agregar_fila_seleccion'
				tsubpregunta = `
					<td style="width: 120px;">
						<select class="form-control form-control-sm">
							<option value="sin_condicion">Sin condición</option>
							<option value="salto">Salto</option>
							<option value="pregunta">Nueva pregunta</option>
						</select>
					</td>
					<td style="width: 120px">
						<input class="form-control form-control-sm" placeholder="Objetivo" style="width: 100%">
					</td>
				`
			}
			$(`#sub_contenido_${id}`).html(`
				<table class="table" style="width:100%; margin-top: 10px;" >
					<tbody id="tbl_seleccion_respuestas_${id}">
						<tr>
							<td style="">
								<input style="width: 100%;" class="form-control form-control-sm ipt_titulo_pregunta inpt_seleccion_keydown_${id}">
							</td> 
							<td style="width: 100px;">
								<input type="number" class="form-control form-control-sm ipt_titulo_pregunta inpt_seleccion_keydown_${id}" style="width: 99%" placeholder="Puntaje" value="0">
							</td>
							${tsubpregunta}
							<td style="width: 40px">&nbsp;</td>
						</tr>
					</tbody>
				</table>

				<button style="margin-top: 10px;" id="btn_agregar_fila_seleccion_${id}" class="${tclasssubpregunta} btn btn-outline-success">Agregar pregunta (fila)</button>
				`)
			genJson()
		}

		$(document).on('click', '.btn_quitar_fila_seleccion', function(e){
			let id = e.target.id.split('_')
			$(`#${id[0]}_tr_${id[2]}`).hide()
			genJson()

		})

		$(document).on('click', '.btn_agregar_fila_seleccion_sb', function(e){
			id = e.target.id.split('_')[4]
			$('#tbl_seleccion_respuestas_'+id).append(`
					<tr id="${$(`#tbl_seleccion_respuestas_${id}`).children().length}_tr_${id}">
						<td><input class="form-control form-control-sm ipt_titulo_pregunta inpt_seleccion_keydown_${id}" style="width: 99%"></td> 
						<td><input type="number" class="form-control form-control-sm ipt_titulo_pregunta inpt_seleccion_keydown_${id}" style="width: 99%" placeholder="Puntaje" value="0"></td>
						
						<td><button style="width: 100%" id="${$(`#tbl_seleccion_respuestas_${id}`).children().length}_td_${id}" class="btn_quitar_fila_seleccion btn btn-outline-danger btn-sm">X</button></td>
					</tr>
				`)
			genJson()
		})

		$(document).on('click', '.btn_agregar_fila_seleccion', function(e){
			id = e.target.id.split('_')[4]
			$('#tbl_seleccion_respuestas_'+id).append(`
					<tr id="${$(`#tbl_seleccion_respuestas_${id}`).children().length}_tr_${id}">
						<td><input class="form-control form-control-sm ipt_titulo_pregunta inpt_seleccion_keydown_${id}" style="width: 99%"></td> 
						<td><input type="number" style="width: 99%" class="form-control form-control-sm ipt_titulo_pregunta inpt_seleccion_keydown_${id}" placeholder="Puntaje" value="0"></td> 
						<td>
							<select class="form-control form-control-sm">
								<option value="sin_condicion">Sin condición</option>
								<option value="salto">Salto</option>
								<option value="pregunta">Nueva pregunta</option>
							</select>
						</td>
						<td><input placeholder="Objetivo" class="form-control form-control-sm" style="width: 100%"></td>
						<td><button style="width: 100%" id="${$(`#tbl_seleccion_respuestas_${id}`).children().length}_td_${id}" class="btn_quitar_fila_seleccion btn btn-outline-danger btn-sm">X</button></td>
					</tr>
				`)
			genJson()
		})

		function cargarMatriz(id){
			$(`#sub_contenido_${id}`).html(`
					<table class="table" style="width:100%; margin-top: 10px; margin-bottom: 10px;" >
						<tbody id="tbl_seleccion_respuestas_matriz_${id}">
							<tr>
								<td></td> 
								<td style="width: 110px;">
									<input style="width: 99%" class="form-control ipt_titulo_pregunta" placeholder="Respuesta" type="text">
									<input style="width: 99%" class="form-control ipt_titulo_pregunta" type="number" placeholder="Puntaje" value="0">
								</td>	

							</tr>
							<tr>
								<td><input style="width: 99%" class="form-control ipt_titulo_pregunta" id="m_respuesta_${id}_1" placeholder="Pregunta" type="text"></td> 
								<td></td>
							</tr>
						</tbody>
					</table>

					<button id="btn_matriz_agregar_fila_${id}" class="btn_matriz_agregar_fila btn btn-outline-success">Agregar pregunta (fila)</button>&nbsp;
					<button id="btn_matriz_agregar_columna_${id}" class="btn_matriz_agregar_columna btn btn-outline-warning">Agregar respuesta (columna)</button>`)
			genJson()
		}

		$(document).on('click', '.btn_matriz_agregar_fila', function(e){
			let id = e.target.id.split('_')[4]
			let cantidad = $(`#tbl_seleccion_respuestas_matriz_${id}`).children().first().children().length - 1 
			let cant_fil = $(`#tbl_seleccion_respuestas_matriz_${id}`).children().length

			let td = ""
			for (var i = 0; i < cantidad; i++) {
				td += `<td>
				<!--<input style="width: 100%" type="radio" name="m${id}_${cant_fil}">-->
				</td>`
			}
			let tr = `
				<tr>
					<td><input style="width: 99%" id="m_respuesta_${id}_${cant_fil}" class="form-control ipt_titulo_pregunta" placeholder="Pregunta" type="text"></td> 
					${td}
				</tr>`

			$(`#tbl_seleccion_respuestas_matriz_${id}`).append(tr)
			genJson()
		})

		$(document).on('click', '.btn_matriz_agregar_columna', function(e){
			let id = e.target.id.split('_')[4]
			let cantidad = $(`#tbl_seleccion_respuestas_matriz_${id}`).children().length

			for(var i = 0; i < cantidad; i++){

				if(i == 0){
					$(`#tbl_seleccion_respuestas_matriz_${id}`).children().eq(i).append(`
						<td style="width: 110px;">
							<input style="width: 99%" placeholder="Respuesta" class="form-control ipt_titulo_pregunta" type="text">
							<input style="width: 99%" type="number" placeholder="Puntaje" class="form-control ipt_titulo_pregunta" value="0">
						</td>`)
				}
				else $(`#tbl_seleccion_respuestas_matriz_${id}`).children().eq(i).append(`<td>
					<!--<input style="width: 100%" name="m${id}_${i}" type="radio">-->
					</td>`)
			}
			genJson()
		})

		// Select tipo de pregunta
		$(document).on('change', '.p_slc_tipo', function(e){

			let _id = e.target.id.split('_')[2]
			switch($(`#slc_tipo_${_id}`).val()){
				case 'seleccion':
				case 'seleccion-multiple':
				case 'seleccion-numerica':
				case 'seleccion-texto':
					cargarSeleccion(_id)
					break;
				case 'matriz':
					cargarMatriz(_id)
					break;
				case 'entrada-numerico':
				case 'entrada-text':
					$(`#sub_contenido_${_id}`).empty()
					break;
			}

			genJson()
		})

		function genRespuestasCondicion(respuesta = [], id = '', aux = 0){
			aux++;
			if(aux > 15) return respuesta

			if(id != '' && $(`#${id}`).length != 0){
				let o = {
					id: id,
					pregunta: $(`#pregunta_${id}`).val(),
					tipo: $(`#slc_tipo_${id}`).val()
				}

				switch($(`#slc_tipo_${id}`).val()){
					case 'seleccion':
					case 'seleccion-multiple':
					case 'seleccion-numerica':
					case 'seleccion-texto':
						let respuestas = []
						$('#tbl_seleccion_respuestas_'+id).children().each(function(){
							if($(this).is(':visible')){
								let _respuesta = {
									r: $(this).children().first().children().first().val(), 
									puntaje: parseInt($(this).children().eq(1).children().first().val())
								}
								respuestas.push(_respuesta)
							}
						})
						o.respuestas = respuestas
						break;

					case 'matriz':
						let c = $('#tbl_seleccion_respuestas_matriz_'+id).children().first().children().length
						let ma_respuestas = []
						for(let i = 1; i < c; i++){
							let tds = $('#tbl_seleccion_respuestas_matriz_'+id).children().first().children().eq(i).children()
							ma_respuestas.push({r: tds.eq(0).val(), valor: parseInt(tds.eq(1).val())})
						}

						let ma_preguntas = []
						for(let i = 1; i < $('#tbl_seleccion_respuestas_matriz_'+id).children().length; i++){
							if($(`#m_respuesta_${id}_${i}`).val() != ''){
								ma_preguntas.push($(`#m_respuesta_${id}_${i}`).val())
							}
						}

						let respuestas_matriz = []
						let aux = 1
						ma_preguntas.forEach(r => {
							respuestas_matriz.push({
								id: `m${id}.${aux}`,
								pregunta: r,
								respuestas: ma_respuestas
							})
							aux++
						})

						o.preguntas_matriz = respuestas_matriz
						break;
					default:
						break;
				}

				respuesta.push(o)
				let sgt_natural = $(`#${id}_siguiente_natural`).val()
				if(sgt_natural == '') return respuesta
				else return genRespuestasCondicion(respuesta, sgt_natural, aux)
			} else return respuesta
			
		}

		function genJson(){
			json_ob = []
			$('#contenedor').children().each(function(){
				let id = $(this).prop('id')
				let o = {
					id: id,
					pregunta: $(`#pregunta_${id}`).val(),
					tipo: $(`#slc_tipo_${id}`).val()
				}

				if(id.indexOf('-') == -1){
					switch($(`#slc_tipo_${id}`).val()){
						case 'seleccion':
						case 'seleccion-multiple':
						case 'seleccion-numerica':
						case 'seleccion-texto':
							let respuestas = []
							let index_respuesta = 0;
							$('#tbl_seleccion_respuestas_' + id).children().each(function(){
								if($(this).is(':visible')){
									let _respuesta = {
										r: $(this).children().first().children().first().val(), 
										puntaje: parseInt($(this).children().eq(1).children().first().val()),
										id: `r-${id}-${index_respuesta}`
									}

									let tipo = $(this).children().eq(2).children().first().val()
									let valor = $(this).children().eq(3).children().first().val()
									if(tipo == 'salto'){
										_respuesta.condicion = 'salto'
										_respuesta.salto_a = valor
									} else if(tipo == 'pregunta'){
										_respuesta.condicion = 'pregunta'
										
										let _res_condicion = genRespuestasCondicion([], valor)
										_respuesta.condicion_detalle = _res_condicion
									}
									respuestas.push(_respuesta)

									index_respuesta++;
								}
							})
							o['respuestas'] = respuestas
							break;
						case 'matriz':
							

							let ma_preguntas = []
							for(let i = 1; i < $('#tbl_seleccion_respuestas_matriz_'+id).children().length; i++){
								if($(`#m_respuesta_${id}_${i}`).val() != ''){
									ma_preguntas.push($(`#m_respuesta_${id}_${i}`).val())
								}
							}

							let respuestas_matriz = []
							let aux = 0
							let c = $('#tbl_seleccion_respuestas_matriz_'+id).children().first().children().length

							ma_preguntas.forEach(r => {

								let ma_respuestas = []
								for(let i = 1; i < c; i++){
									let _id = i-1
									let tds = $('#tbl_seleccion_respuestas_matriz_'+id).children().first().children().eq(i).children()
									ma_respuestas.push({r: tds.eq(0).val(), valor: parseInt(tds.eq(1).val()), id: `r-${id}-${aux}-${_id}`})
								}
								console.log('r: ', r)
								respuestas_matriz.push({
									id: `r-${id}-${aux}`,
									pregunta: r,
									respuestas: ma_respuestas
								})
								aux++
							})

							o.preguntas_matriz = respuestas_matriz

							break;
					}

					json_ob.push(o)
				}
			})

			let t = JSON.stringify(json_ob, null, '\t')
			$('#json_object').text(t)
			$('#json_object_code').text(t)
		}

		$('#gen_json').click(() => {
			genJson()
		})
		
	})
</script>
</html>