<!DOCTYPE html>
<html>
<head>
	<title>Listar Usuarios</title>
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
	<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
</head>
<body>
	<div class="container">
		<div class="row justify-content-md-center" style="padding-top: 30px;">
			<div class="col-md-11" style="border: 1px solid #E4E4E4; border-radius: 4px; padding: 10px;">
				<table class="table">
				  <thead>
				    <tr>
				      <th scope="col">Nombre de usuario</th>
				      <th scope="col">Correo</th>
				      <th scope="col">Habilitado para responder</th>
				      <th scope="col"></th>
				    </tr>
				  </thead>
				  <tbody>
				  	<?php 
				  		foreach($usuarios as $value){
				  			$let = 'No activo';
				  			if($value['activo']) $let = 'Activo';

				  			$hab = 'No';
				  			if(isset($value['habilitado']) && $value['habilitado']) $hab = 'Sí';
							echo ' 
							<tr>
						    	<th scope="row">'.$value['nombre'].'</th>
						    	<td>'.$value['correo'].'</td>
						    	<td>'.$hab.'</td>
						    	<td><a href="http://dev.binext.cl/administrar/usuarios/'.((array)$value['_id'])['oid'].'" class="btn btn-primary">Detalles</a></td>
						    </tr>';
						}
				  	?>
				  </tbody>
				</table>
				
			</div>
		</div>
	</div>
</body>
	<script src="https://code.jquery.com/jquery-3.4.1.js" integrity="sha256-WpOohJOqMqqyKL9FccASB9O0KwACQJpFTUBLTYOVvVU=" crossorigin="anonymous"></script>
	
</html>