<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Autentificacion extends CI_Controller {
	function __construct()
	{
		parent::__construct();
		$this->load->model('cuestionario_model');
		$this->load->model('usuario_model');
		$this->load->helper('mail');
		$this->load->helper('general');
	}

	function index()
	{
		
	}

	function iniciarsesion()
	{
		
	}

	function procesarIniciarSesion()
	{
		$resultado = $this->usuario_model->validar_correo($this->input->post('correo'));
		if(sizeof($resultado) != 0)
		{
			if($resultado[0]['contrasenia'] != $this->input->post('contrasenia'))
				header('Location: http://dev.binext.cl/autentificacion?error=usuario_contrasenia');
			else {
				if($resultado[0]['activo']){
					echo 'Usuario logueado: '.$resultado[0]['nombre'];
				} else {
					header('Location: http://dev.binext.cl/autentificacion?resultado=reenvio');
				}
			}
		}
		else
		{
			header('Location: http://dev.binext.cl/autentificacion?error=usuario_contrasenia');
		}
	}

	function cerrarSesion()
	{
		echo 'cerrarSesion';

	}

	function registrarse()
	{
		$this->load->view('registrarse');
	}

	function verificarCuenta($token)
	{
		$this->usuario_model->validar_cuenta($token);
		header('Location: http://dev.binext.cl/autentificacion?resultado=activo');
	}

	function procesarRegistro()
	{
		$token = genenerarToken();
		$resultado = $this->usuario_model->validar_correo($this->input->post('correo'));
		if(sizeof($resultado) == 0)
		{
			$usuario = array(
				'correo' => $this->input->post('correo'),
				'contrasenia' => $this->input->post('contrasenia'),
				'nombre' => $this->input->post('nombre'),
				'activo' => false,
				'token' => $token
			);

			if($this->usuario_model->registrar_nuevo_usuario($usuario)){
				if(enviarCorreoRegistro($usuario['correo'], $token)){
					header('Location: http://dev.binext.cl/autentificacion?resultado=correo');
				}
				else{
					header('Location: http://dev.binext.cl/autentificacion/registrarse?error=correo_envio');
				}
			} else {
				header('Location: http://dev.binext.cl/autentificacion/registrarse?error=usuario_registro');
			}

		} else {
			if(!$resultado[0]['activo']){
				enviarCorreoRegistro($resultado[0]['correo'], $resultado[0]['token']);
				header('Location: http://dev.binext.cl/autentificacion?resultado=reenvio');
			} else {
				header('Location: http://dev.binext.cl/autentificacion/registrarse?error=usuario_existente');
			}
		}		
	}
}