<?php
    class Cuestionario_model extends CI_Model 
    {
    	function __construct()
        {
            parent::__construct();
            $this->load->library('mongo');
        }

        public function obtener_encuestas_activas()
        {
            $filter = array(
                'activo' => true
            );

            $options = array(
                'projection' => array(
                    'tipo' => 1,
                    '_id' => 1,
                    'objetivo' => 1,
                    'fecha' => 1,
                    'mes' => 1
                ));

            $data = $this->mongo->query('formularios', $filter, $options);
            return $data;

        }

        public function get($id = null, $col = 'formularios')
        {
        	$q = array();
        	if($id != null){
        		$_id = null;
	            try {
	                $_id = new MongoDB\BSON\ObjectId("$id");
	                $q = array('_id' => $_id);
	            } catch (Exception $e) {
	                return array();
	            }
        	}

        	$res = $this->mongo->query($col, $q);

        	if($id != null) return $res[0];
        	else return $res;
        }

        public function update($bulk, $col = 'formularios')
        {
        	return $this->mongo->modificar($col, null, $bulk);
        }

        public function insert($bulk)
        {
            return $this->mongo->insertar('formularios', $bulk);
        }
    }