<!DOCTYPE html>
<html>
<head>
	<title>Listar</title>
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
	<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
</head>
<body>
	<div class="container-fluid ">
		<div class="row justify-content-md-center" style="padding-top: 30px;">
			<div class="col-md-8" style="border: 1px solid #E4E4E4; border-radius: 4px; padding: 10px;">
				<h5>Cuestionarios</h5>
				<br/>
				<ul class="list-group">
					<?php 
						foreach ($cuestionarios as $key => $value) {
							$oid = ((array)($value['_id']))['oid'];
							echo '<li class="list-group-item active"><b>'.$value['tipo'].' '.$value['mes'].'-'.$value['fecha'].'</b> <a href="http://dev.binext.cl/cuestionario/generar/'.$oid.'" class="btn btn-secondary">Editar encuesta</a></li>';

							$cat = 1;
							foreach ($value['categoria'] as $skey => $svalue) {
								echo '<li class="list-group-item"><b>'.$svalue->titulo.'</b></li>';
								$sub_cat = 1;
								foreach ($svalue->sub_categoria as $sskey => $ssvalue) {
									$_t = $ssvalue->titulo;
									if($_t == '') $_t = '[sin título]';
									echo '<li class="list-group-item d-flex justify-content-between align-items-center">
										<a href="http://dev.binext.cl/cuestionario/ver/'.$oid.'/'.$cat.'/'.$sub_cat.'" target="_blank"> -> '.$_t.'</a>
									<span class="badge badge-primary badge-pill">'.sizeof($ssvalue->preguntas).'</span></li>';
									$sub_cat++;
								}
								$cat++;
							}
						}
					?>
				</ul>
			</div>
			<div class="col-md-3" style="border: 1px solid #E4E4E4; border-radius: 4px; padding: 10px; margin-left: 10px;">
				<h5>Nuevo cuestionario</h5>
				<br/>
				<form style="padding: 0px 20px;" method="post" action="http://dev.binext.cl/cuestionario/nuevocuestionario">
					<div class="form-group">
						<input type="number" class="form-control" name="anio" placeholder="Año">
					</div>

					<div class="form-group">
						<input type="text" class="form-control" name="mes" placeholder="Mes">
					</div>

					<div class="form-group">
						<input type="text" class="form-control" name="tipo" placeholder="Tipo">
					</div>
					
					<button type="submit" class="btn btn-primary">Generar</button>
				</form>
			</div>
		</div>
	</div>
</body>
	<script src="https://code.jquery.com/jquery-3.4.1.js" integrity="sha256-WpOohJOqMqqyKL9FccASB9O0KwACQJpFTUBLTYOVvVU=" crossorigin="anonymous"></script>
	<script>
		$(document).ready(() => {
		})
	</script>
</html>