<!DOCTYPE html>
<html>
<head>
	<title>Encuesta</title>
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
	<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
</head>
<body>
	<div class="container">
		<div class="row justify-content-md-center" style="padding-top: 30px;">
			<div class="col-md-6" style="border: 1px solid #E4E4E4; border-radius: 4px; padding: 20px;">

				<?php 
					switch($this->input->get('error')){
						case 'usuario_contrasenia':
							echo '
								<div class="alert alert-danger alert-dismissible fade show" role="alert">
								   <strong>Datos de sesión inválidos. </strong> Intentalo nuevamente.
								  <button type="button" class="close" data-dismiss="alert" aria-label="Close">
								    <span aria-hidden="true">&times;</span>
								  </button>
								</div>';
							break;
					}
				?>

				<?php 
					switch($this->input->get('resultado')){
						case 'correo':
							echo '
								<div class="alert alert-success alert-dismissible fade show" role="alert">
								   <strong>Usuario creado. </strong> Activa el usuario con el link que te enviamos a tú correo.
								  <button type="button" class="close" data-dismiss="alert" aria-label="Close">
								    <span aria-hidden="true">&times;</span>
								  </button>
								</div>';
							break;
						case 'reenvio':
							echo '
								<div class="alert alert-success alert-dismissible fade show" role="alert">
								  <strong>Usuario no activo. </strong> Te hemos reenviado un correo para activar el usuario.
								  <button type="button" class="close" data-dismiss="alert" aria-label="Close">
								    <span aria-hidden="true">&times;</span>
								  </button>
								</div>';
							break;
						case 'activo':
							echo '
								<div class="alert alert-success alert-dismissible fade show" role="alert">
								  <strong>Usuario activo. </strong> Ingresa con tu correo y contraseña.
								  <button type="button" class="close" data-dismiss="alert" aria-label="Close">
								    <span aria-hidden="true">&times;</span>
								  </button>
								</div>';
							break;
					}
				?>
				

				<form method="post" action="http://dev.binext.cl/autentificacion/procesariniciarsesion">
					<div class="form-group row">
						<label for="staticEmail" class="col-sm-3 col-form-label">Email</label>
						<div class="col-sm-9">
							<input type="text" class="form-control" value="" name="correo" placeholder="correo@ejemplo.cl">
						</div>
					</div>
					<div class="form-group row">
						<label for="inputPassword" class="col-sm-3 col-form-label">Contraseña</label>
						<div class="col-sm-9">
							<input type="password" class="form-control" name="contrasenia" placeholder="*******">
						</div>
					</div>
					<div class="form-group row">
						<div class="col-sm-9">
							<button type="submit" class="btn btn-primary">Ingresar</button>
							<a href="http://dev.binext.cl/autentificacion/registrarse" class="btn btn-secondary">Registrarse</a>
						</div>
					</div>
				</form>
			</div>
		</div>
	</div>
</body>
	<script src="https://code.jquery.com/jquery-3.4.1.js" integrity="sha256-WpOohJOqMqqyKL9FccASB9O0KwACQJpFTUBLTYOVvVU=" crossorigin="anonymous"></script>
</html>